forked from ansible/ansible
-
Notifications
You must be signed in to change notification settings - Fork 0
Commit
This commit does not belong to any branch on this repository, and may belong to a fork outside of the repository.
- Loading branch information
Showing
22 changed files
with
312 additions
and
4 deletions.
There are no files selected for viewing
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,6 @@ | ||
--- | ||
filter_version: '1.0' | ||
module_blacklist: | ||
# List the modules to blacklist here | ||
#- easy_install | ||
#- s3 |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1 @@ | ||
posix/ci/group3 |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,10 @@ | ||
--- | ||
- hosts: testhost | ||
gather_facts: False | ||
tasks: | ||
- copy: | ||
content: 'Testing 1... 2... 3...' | ||
dest: ./testing.txt | ||
- file: | ||
state: absent | ||
path: ./testing.txt |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,4 @@ | ||
[default] | ||
retry_files_enabled = False | ||
plugin_filters_cfg = ./filter_lookup.yml | ||
|
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,6 @@ | ||
--- | ||
filter_version: 1.0 | ||
module_blacklist: | ||
# Specify the name of a lookup plugin here. This should have no effect as | ||
# this is only for filtering modules | ||
- list |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,4 @@ | ||
[default] | ||
retry_files_enabled = False | ||
plugin_filters_cfg = ./filter_modules.yml | ||
|
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,9 @@ | ||
--- | ||
filter_version: 1.0 | ||
module_blacklist: | ||
# A pure action plugin | ||
- pause | ||
# A hybrid action plugin with module | ||
- copy | ||
# A pure module | ||
- tempfile |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,4 @@ | ||
[default] | ||
retry_files_enabled = False | ||
plugin_filters_cfg = ./filter_ping.yml | ||
|
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,5 @@ | ||
--- | ||
filter_version: 1.0 | ||
module_blacklist: | ||
# Ping is special | ||
- ping |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,4 @@ | ||
[default] | ||
retry_files_enabled = False | ||
plugin_filters_cfg = ./filter_stat.yml | ||
|
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,5 @@ | ||
--- | ||
filter_version: 1.0 | ||
module_blacklist: | ||
# Stat is special | ||
- stat |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,14 @@ | ||
--- | ||
- hosts: testhost | ||
gather_facts: False | ||
vars: | ||
data: | ||
- one | ||
- two | ||
tasks: | ||
- debug: | ||
msg: '{{ lookup("list", data) }}' | ||
|
||
- debug: | ||
msg: '{{ item }}' | ||
with_list: '{{ data }}' |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,4 @@ | ||
[default] | ||
retry_files_enabled = False | ||
plugin_filters_cfg = ./empty.yml | ||
|
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,6 @@ | ||
--- | ||
- hosts: testhost | ||
gather_facts: False | ||
tasks: | ||
- pause: | ||
seconds: 1 |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,6 @@ | ||
--- | ||
- hosts: testhost | ||
gather_facts: False | ||
tasks: | ||
- ping: | ||
data: 'Testing 1... 2... 3...' |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,128 @@ | ||
#!/usr/bin/env bash | ||
|
||
set -ux | ||
|
||
# | ||
# Check that with no filters set, all of these modules run as expected | ||
# | ||
ANSIBLE_CONFIG=no_filters.ini ansible-playbook copy.yml -i ../../inventory -vvv "$@" | ||
if test $? != 0 ; then | ||
echo "### Failed to run copy with no filters applied" | ||
exit 1 | ||
fi | ||
ANSIBLE_CONFIG=no_filters.ini ansible-playbook pause.yml -i ../../inventory -vvv "$@" | ||
if test $? != 0 ; then | ||
echo "### Failed to run pause with no filters applied" | ||
exit 1 | ||
fi | ||
ANSIBLE_CONFIG=no_filters.ini ansible-playbook tempfile.yml -i ../../inventory -vvv "$@" | ||
if test $? != 0 ; then | ||
echo "### Failed to run tempfile with no filters applied" | ||
exit 1 | ||
fi | ||
|
||
# | ||
# Check that with these modules filtered out, all of these modules fail to be found | ||
# | ||
ANSIBLE_CONFIG=filter_modules.ini ansible-playbook copy.yml -i ../../inventory -v "$@" | ||
if test $? = 0 ; then | ||
echo "### Failed to prevent copy from running" | ||
exit 1 | ||
else | ||
echo "### Copy was prevented from running as expected" | ||
fi | ||
ANSIBLE_CONFIG=filter_modules.ini ansible-playbook pause.yml -i ../../inventory -v "$@" | ||
if test $? = 0 ; then | ||
echo "### Failed to prevent pause from running" | ||
exit 1 | ||
else | ||
echo "### pause was prevented from running as expected" | ||
fi | ||
ANSIBLE_CONFIG=filter_modules.ini ansible-playbook tempfile.yml -i ../../inventory -v "$@" | ||
if test $? = 0 ; then | ||
echo "### Failed to prevent tempfile from running" | ||
exit 1 | ||
else | ||
echo "### tempfile was prevented from running as expected" | ||
fi | ||
|
||
# | ||
# ping is a special module as we test for its existence. Check it specially | ||
# | ||
|
||
# Check that ping runs with no filter | ||
ANSIBLE_CONFIG=no_filters.ini ansible-playbook ping.yml -i ../../inventory -vvv "$@" | ||
if test $? != 0 ; then | ||
echo "### Failed to run ping with no filters applied" | ||
exit 1 | ||
fi | ||
|
||
# Check that other modules run with ping filtered | ||
ANSIBLE_CONFIG=filter_ping.ini ansible-playbook copy.yml -i ../../inventory -vvv "$@" | ||
if test $? != 0 ; then | ||
echo "### Failed to run copy when a filter was applied to ping" | ||
exit 1 | ||
fi | ||
# Check that ping fails to run when it is filtered | ||
ANSIBLE_CONFIG=filter_ping.ini ansible-playbook ping.yml -i ../../inventory -v "$@" | ||
if test $? = 0 ; then | ||
echo "### Failed to prevent ping from running" | ||
exit 1 | ||
else | ||
echo "### Ping was prevented from running as expected" | ||
fi | ||
|
||
# | ||
# Check that specifying a lookup plugin in the filter has no effect | ||
# | ||
|
||
ANSIBLE_CONFIG=filter_lookup.ini ansible-playbook lookup.yml -i ../../inventory -vvv "$@" | ||
if test $? != 0 ; then | ||
echo "### Failed to use a lookup plugin when it is incorrectly specified in the *module* blacklist" | ||
exit 1 | ||
fi | ||
|
||
# | ||
# stat is a special module as we use it to run nearly every other module. Check it specially | ||
# | ||
|
||
# Check that stat runs with no filter | ||
ANSIBLE_CONFIG=no_filters.ini ansible-playbook stat.yml -i ../../inventory -vvv "$@" | ||
if test $? != 0 ; then | ||
echo "### Failed to run stat with no filters applied" | ||
exit 1 | ||
fi | ||
|
||
# Check that running another module when stat is filtered gives us our custom error message | ||
ANSIBLE_CONFIG=filter_stat.ini | ||
export ANSIBLE_CONFIG | ||
CAPTURE=$(ansible-playbook copy.yml -i ../../inventory -vvv "$@" 2>&1) | ||
if test $? = 0 ; then | ||
echo "### Copy ran even though stat is in the module blacklist" | ||
exit 1 | ||
else | ||
echo "$CAPTURE" | grep 'The stat module was specified in the module blacklist file,.*, but Ansible will not function without the stat module. Please remove stat from the blacklist.' | ||
if test $? != 0 ; then | ||
echo "### Stat did not give us our custom error message" | ||
exit 1 | ||
fi | ||
echo "### Filtering stat failed with our custom error message as expected" | ||
fi | ||
unset ANSIBLE_CONFIG | ||
|
||
# Check that running stat when stat is filtered gives our custom error message | ||
ANSIBLE_CONFIG=filter_stat.ini | ||
export ANSIBLE_CONFIG | ||
CAPTURE=$(ansible-playbook stat.yml -i ../../inventory -vvv "$@" 2>&1) | ||
if test $? = 0 ; then | ||
echo "### Stat ran even though it is in the module blacklist" | ||
exit 1 | ||
else | ||
echo "$CAPTURE" | grep 'The stat module was specified in the module blacklist file,.*, but Ansible will not function without the stat module. Please remove stat from the blacklist.' | ||
if test $? != 0 ; then | ||
echo "### Stat did not give us our custom error message" | ||
exit 1 | ||
fi | ||
echo "### Filtering stat failed with our custom error message as expected" | ||
fi | ||
unset ANSIBLE_CONFIG |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,6 @@ | ||
--- | ||
- hosts: testhost | ||
gather_facts: False | ||
tasks: | ||
- stat: | ||
path: '/' |
Oops, something went wrong.